PROBE::SOCKET.SEND(3stap)

NAME
probe::socket.sendmsg.return - Return from socket.sendmsg.

SYNOPSIS

socket.sendmsg.return

VALUES

state
    Socket state value

type
    Socket type value

name
    Name of this probe

protocol
    Protocol value

size
    Size of message sent (in bytes) or error code if success = 0

family
    Protocol family value

success
    Was send successful? (1 = yes, 0 = no)

flags
    Socket flags value

CONTEXT

The message sender.

DESCRIPTION

Fires at the conclusion of sending a message on a socket via the sock_sendmsg function

SEE ALSO
tapset::socket(3stap)